Skip to content

Add Asset Link

POST
/api/creative/visual-studio/assets/{asset_id}/links

Add a link between a visual asset and a lore entry/entity.

asset_id
required
Asset Id
string
AddAssetLinkRequest

Request model for adding an asset link.

object
linkType
required
Linktype

Link type: lore_entry or lore_entity

string
linkedId
required
Linkedid

ID of the lore entry or entity to link

string
linkedTitle
Linkedtitle

Title of linked item

string
""
linkedEntryType
Any of:
string

Successful Response

VisualAssetLinkOperationResponse

Response model for asset link operations.

object
success
required
Success

Operation success status

boolean
link
Any of:
VisualAssetLink

A link between a visual asset and a lore entry or entity.

object
id
required
Id

Link ID

string
assetId
required
Assetid

Asset ID

string
projectId
required
Projectid

Project ID

string
linkType
required
Linktype

Link type: lore_entry or lore_entity

string
linkedId
required
Linkedid

Linked entry/entity ID

string
linkedTitle
Linkedtitle

Title of linked item

string
""
linkedEntryType
Any of:
string
createdAt
required
Createdat

Creation timestamp

integer
error
Any of:
string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object